using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using CallCenterApi.DB;

namespace CallCenterApi.DAL
{
    /// <summary>
    /// 数据访问类:T_Web_News
    /// </summary>
    public partial class T_Web_News
    {
        public T_Web_News()
        { }
        #region  BasicMethod
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int id)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select count(1) from T_Web_News");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = {
                    new SqlParameter("@id", SqlDbType.Int,4)
            };
            parameters[0].Value = id;

            return DbHelperSQL.Exists(strSql.ToString(), parameters);
        }


        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(CallCenterApi.Model.T_Web_News model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into T_Web_News(");
            strSql.Append("ClassId,bt,nr,sj,img,ordernum,urlname,zxbh,iszd)");
            strSql.Append(" values (");
            strSql.Append("@ClassId,@bt,@nr,@sj,@img,@ordernum,@urlname,@zxbh,@iszd)");
            strSql.Append(";select @@IDENTITY");
            SqlParameter[] parameters = {
                    new SqlParameter("@ClassId", SqlDbType.Int,4),
                    new SqlParameter("@bt", SqlDbType.VarChar,200),
                    new SqlParameter("@nr", SqlDbType.Text),
                    new SqlParameter("@sj", SqlDbType.DateTime),
                    new SqlParameter("@img", SqlDbType.VarChar,300),
                    new SqlParameter("@ordernum", SqlDbType.Int,4),
                    new SqlParameter("@urlname", SqlDbType.VarChar,100),
                    new SqlParameter("@zxbh", SqlDbType.Int,4),
                    new SqlParameter("@iszd", SqlDbType.Int,4)};
            parameters[0].Value = model.ClassId;
            parameters[1].Value = model.bt;
            parameters[2].Value = model.nr;
            parameters[3].Value = model.sj;
            parameters[4].Value = model.img;
            parameters[5].Value = model.ordernum;
            parameters[6].Value = model.urlname;
            parameters[7].Value = model.zxbh;
            parameters[8].Value = model.iszd;

            object obj = DbHelperSQL.GetSingle(strSql.ToString(), parameters);
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return Convert.ToInt32(obj);
            }
        }
        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(CallCenterApi.Model.T_Web_News model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update T_Web_News set ");
            strSql.Append("ClassId=@ClassId,");
            strSql.Append("bt=@bt,");
            strSql.Append("nr=@nr,");
            strSql.Append("sj=@sj,");
            strSql.Append("img=@img,");
            strSql.Append("ordernum=@ordernum,");
            strSql.Append("urlname=@urlname,");
            strSql.Append("zxbh=@zxbh,");
            strSql.Append("iszd=@iszd");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = {
                    new SqlParameter("@ClassId", SqlDbType.Int,4),
                    new SqlParameter("@bt", SqlDbType.VarChar,200),
                    new SqlParameter("@nr", SqlDbType.Text),
                    new SqlParameter("@sj", SqlDbType.DateTime),
                    new SqlParameter("@img", SqlDbType.VarChar,300),
                    new SqlParameter("@ordernum", SqlDbType.Int,4),
                    new SqlParameter("@urlname", SqlDbType.VarChar,100),
                    new SqlParameter("@zxbh", SqlDbType.Int,4),
                    new SqlParameter("@iszd", SqlDbType.Int,4),
                    new SqlParameter("@id", SqlDbType.Int,4)};
            parameters[0].Value = model.ClassId;
            parameters[1].Value = model.bt;
            parameters[2].Value = model.nr;
            parameters[3].Value = model.sj;
            parameters[4].Value = model.img;
            parameters[5].Value = model.ordernum;
            parameters[6].Value = model.urlname;
            parameters[7].Value = model.zxbh;
            parameters[8].Value = model.iszd;
            parameters[9].Value = model.id;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int id)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_Web_News ");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = {
                    new SqlParameter("@id", SqlDbType.Int,4)
            };
            parameters[0].Value = id;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        /// <summary>
        /// 批量删除数据
        /// </summary>
        public bool DeleteList(string idlist)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_Web_News ");
            strSql.Append(" where id in (" + idlist + ")  ");
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString());
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }


        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Web_News GetModel(int id)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("select  top 1 id,ClassId,bt,nr,sj,img,ordernum,urlname,zxbh,iszd from T_Web_News ");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = {
                    new SqlParameter("@id", SqlDbType.Int,4)
            };
            parameters[0].Value = id;

            CallCenterApi.Model.T_Web_News model = new CallCenterApi.Model.T_Web_News();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                return DataRowToModel(ds.Tables[0].Rows[0]);
            }
            else
            {
                return null;
            }
        }


        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Web_News DataRowToModel(DataRow row)
        {
            CallCenterApi.Model.T_Web_News model = new CallCenterApi.Model.T_Web_News();
            if (row != null)
            {
                if (row["id"] != null && row["id"].ToString() != "")
                {
                    model.id = int.Parse(row["id"].ToString());
                }
                if (row["ClassId"] != null && row["ClassId"].ToString() != "")
                {
                    model.ClassId = int.Parse(row["ClassId"].ToString());
                }
                if (row["bt"] != null)
                {
                    model.bt = row["bt"].ToString();
                }
                if (row["nr"] != null)
                {
                    model.nr = row["nr"].ToString();
                }
                if (row["sj"] != null && row["sj"].ToString() != "")
                {
                    model.sj = DateTime.Parse(row["sj"].ToString());
                }
                if (row["img"] != null)
                {
                    model.img = row["img"].ToString();
                }
                if (row["ordernum"] != null && row["ordernum"].ToString() != "")
                {
                    model.ordernum = int.Parse(row["ordernum"].ToString());
                }
                if (row["urlname"] != null)
                {
                    model.urlname = row["urlname"].ToString();
                }
                if (row["zxbh"] != null && row["zxbh"].ToString() != "")
                {
                    model.zxbh = int.Parse(row["zxbh"].ToString());
                }
                if (row["iszd"] != null && row["iszd"].ToString() != "")
                {
                    model.iszd = int.Parse(row["iszd"].ToString());
                }
            }
            return model;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select id,ClassId,bt,nr,sj,img,ordernum,urlname,zxbh,iszd ");
            strSql.Append(" FROM T_Web_News ");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select ");
            if (Top > 0)
            {
                strSql.Append(" top " + Top.ToString());
            }
            strSql.Append(" id,ClassId,bt,nr,sj,img,ordernum,urlname,zxbh,iszd ");
            strSql.Append(" FROM T_Web_News ");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            strSql.Append(" order by " + filedOrder);
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获取记录总数
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select count(1) FROM T_Web_News ");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            object obj = DbHelperSQL.GetSingle(strSql.ToString());
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return Convert.ToInt32(obj);
            }
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("SELECT * FROM ( ");
            strSql.Append(" SELECT ROW_NUMBER() OVER (");
            if (!string.IsNullOrEmpty(orderby.Trim()))
            {
                strSql.Append("order by T." + orderby);
            }
            else
            {
                strSql.Append("order by T.id desc");
            }
            strSql.Append(")AS Row, T.*  from T_Web_News T ");
            if (!string.IsNullOrEmpty(strWhere.Trim()))
            {
                strSql.Append(" WHERE " + strWhere);
            }
            strSql.Append(" ) TT");
            strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
            return DbHelperSQL.Query(strSql.ToString());
        }

        /*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_Web_News";
			parameters[1].Value = "id";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

        #endregion  BasicMethod
        #region  ExtensionMethod

        #endregion  ExtensionMethod
    }
}

